#include <iostream>

int xor_delilaca(int x,int a[], int k){
    int S=0;
    for(int i=0;i<k;i++){
        if(x%a[i]==0){
            S=S^a[i];
        }
    }
    return S;
}

using namespace std;

int main()
{
    int n,k,a[k],S=0;
    cin>>n>>k;
    for(int i=0;i<k;i++){
        cin>>a[i];
    }
    for(int i=0;i<k;i++){
        cout<<xor_delilaca(a[i],a,k)<<" ";
    }

    return 0;
}